org.fourthline.cling.support.shared.log.impl

## Class LogPresenter

- java.lang.Object
- - org.fourthline.cling.support.shared.log.impl.LogPresenter

- All Implemented Interfaces:
    LogView.Presenter

      @ApplicationScoped
      public class LogPresenter
      extends Object
      implements LogView.Presenter

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.enterprise.event.Event<TextExpand>` | `textExpandEvent`
    `protected LogView` | `view`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogPresenter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `init()`
    `void` | `onExpand(org.seamless.swing.logging.LogMessage logMessage)`
    `void` | `pushMessage(org.seamless.swing.logging.LogMessage message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### view

          @Inject
          protected LogView view

    - #### textExpandEvent

          @Inject
          protected javax.enterprise.event.Event<TextExpand> textExpandEvent

  - ### Constructor Detail

    - #### LogPresenter

          public LogPresenter()

  - ### Method Detail

    - #### init

          public void init()

      Specified by:
        `init` in interface `LogView.Presenter`

    - #### onExpand

          public void onExpand(org.seamless.swing.logging.LogMessage logMessage)

      Specified by:
        `onExpand` in interface `LogView.Presenter`

    - #### destroy

          @PreDestroy
          public void destroy()

    - #### pushMessage

          public void pushMessage(org.seamless.swing.logging.LogMessage message)

      Specified by:
        `pushMessage` in interface `LogView.Presenter`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.